## Lua

The lua generic terminal driver works in conjunction with an external Lua script to create a target-specific plot file. Currently the only supported target is TikZ -5#5 pdflatex.

Information about Lua is available at http://www.lua.org .

Syntax:

      set terminal lua <target name> | "<file name>"
                          {<script_args> ...}
                          {help}

A 'target name' or 'file name' (in quotes) for a script is mandatory. If a 'target name' for the script is given, the terminal will look for `"`gnuplot-4#4target name5#5.lua`"` in the local directory and on failure in the environmental variable GNUPLOT_LUA_DIR.

All arguments will be provided to the selected script for further evaluation. E.g. 'set term lua tikz help' will cause the script itself to print additional help on options and choices for the script.

Subsections

- Lua tikz